com.mysql.cj

## Interface WarningListener

    public interface WarningListener

A warning listener is notified of warnings as they happen throughout the driver. They can be queued for consumption by JDBC clients, thrown as exceptions, or ignored.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `warningEncountered(String warning)`

### Method Detail

#### warningEncountered

    void warningEncountered(String warning)

Copyright © 2016, 2026, Oracle and/or its affiliates.